Bug 17466 - Show number of outstanding issues when checking in
Summary: Show number of outstanding issues when checking in
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17919
  Show dependency treegraph
 
Reported: 2016-10-19 10:55 UTC by Josef Moravec
Modified: 2017-01-17 07:45 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17466: Show number of outstanding issues when checking in (2.39 KB, patch)
2016-10-19 11:01 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17466: Show number of outstanding issues when checking in (2.52 KB, patch)
2016-11-29 12:50 UTC, Radek Šiman (R-Bit Technology, s.r.o.)
Details | Diff | Splinter Review
Bug 17466: Followup, change button to link and fix terminology (1.26 KB, patch)
2016-12-14 20:38 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17466: Show number of outstanding issues when checking in (2.57 KB, patch)
2016-12-30 18:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17466: Followup, change button to link and fix terminology (1.32 KB, patch)
2016-12-30 18:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17466 [QA Followup] - Give the link some style (1.52 KB, patch)
2016-12-30 18:31 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-10-19 10:55:45 UTC

    
Comment 1 Josef Moravec 2016-10-19 11:01:37 UTC
Created attachment 56654 [details] [review]
Bug 17466: Show number of outstanding issues when checking in

Test plan:
1) Apply patch
2) Checkout more then one item to a borrower
3) Check one of that items
4) Note, that on in returns table there is a button with number of
outstanding issues in patron column. The button should take you to checking
out page
5) When the outstanding issues count is 0, there is no button
Comment 2 Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-29 12:50:43 UTC
Created attachment 57806 [details] [review]
Bug 17466: Show number of outstanding issues when checking in

Test plan:
1) Apply patch
2) Checkout more then one item to a borrower
3) Check one of that items
4) Note, that on in returns table there is a button with number of
outstanding issues in patron column. The button should take you to checking
out page
5) When the outstanding issues count is 0, there is no button

Signed-off-by: Radek Šiman <rbit@rbit.cz>
Comment 3 Jonathan Druart 2016-12-14 12:20:36 UTC
I am not sure a button is the right element to use here.
Maybe a simple link is enough.
CCing Owen to get his opinion.
Comment 4 Owen Leonard 2016-12-14 17:47:02 UTC
I agree that a button isn't appropriate for what is acting as a link. I would suggest using a plain link, or using <a class="btn btn-mini btn-link"> which I think works well.

Another comment: In the default translation we don't use the term "Issues" in this context. "Checkouts" is correct.

https://wiki.koha-community.org/wiki/Terminology
Comment 5 Josef Moravec 2016-12-14 20:38:56 UTC
Created attachment 58191 [details] [review]
Bug 17466: Followup, change button to link and fix terminology
Comment 6 Josef Moravec 2016-12-14 20:40:26 UTC
(In reply to Owen Leonard from comment #4)
> I agree that a button isn't appropriate for what is acting as a link. I
> would suggest using a plain link, or using <a class="btn btn-mini btn-link">
> which I think works well.
> 
> Another comment: In the default translation we don't use the term "Issues"
> in this context. "Checkouts" is correct.
> 
> https://wiki.koha-community.org/wiki/Terminology

Thanks Owen, I fixed it
Comment 7 Kyle M Hall 2016-12-30 18:31:05 UTC
Created attachment 58541 [details] [review]
Bug 17466: Show number of outstanding issues when checking in

Test plan:
1) Apply patch
2) Checkout more then one item to a borrower
3) Check one of that items
4) Note, that on in returns table there is a button with number of
outstanding issues in patron column. The button should take you to checking
out page
5) When the outstanding issues count is 0, there is no button

Signed-off-by: Radek Šiman <rbit@rbit.cz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2016-12-30 18:31:36 UTC
Created attachment 58542 [details] [review]
Bug 17466: Followup, change button to link and fix terminology

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2016-12-30 18:31:39 UTC
Created attachment 58543 [details] [review]
Bug 17466 [QA Followup] - Give the link some style

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2017-01-13 12:29:32 UTC
Pushed to master for 17.05, thanks Josef!
Comment 11 Katrin Fischer 2017-01-15 18:46:20 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 12 Jonathan Druart 2017-01-17 07:45:27 UTC
Could not compile /home/vagrant/kohaclone/circ/returns.pl: Can't locate Koha/Issues.pm

See bug 17919.